Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.listener.internaldata
Class EmailDataSender

    java.lang.Object
      com.nokia.ant.listener.internaldata.EmailDataSender

    public class EmailDataSender

extends java.lang.Object

Field Summary
`static java.lang.String` | `LDAP_URL`
`static java.lang.String` | `SMTP_SERVER`
`static java.lang.String` | `TO_EMAIL`

Constructor Summary
`EmailDataSender()`

Method Summary
`java.lang.String` | `getSMTPServer()` Get the smtp server address.
`protected java.lang.String` | `getUserEmail()` Getting user email.
`protected javax.mail.util.ByteArrayDataSource` | `gzip(java.lang.String data, java.lang.String filename)` GZipping a string.
`void` | `sendData(java.lang.String data)` Sending the XML data through email.
`void` | `setSMTPServer(java.lang.String address)` Set the smtp server address.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TO_EMAIL

    public static final java.lang.String TO_EMAIL

See Also:
  Constant Field Values

### LDAP_URL

    public static final java.lang.String LDAP_URL

See Also:
  Constant Field Values

### SMTP_SERVER

    public static final java.lang.String SMTP_SERVER

See Also:
  Constant Field Values

Constructor Detail

### EmailDataSender

    public EmailDataSender()

Method Detail

### setSMTPServer

    public void setSMTPServer(java.lang.String address)

  Set the smtp server address.

### getSMTPServer

    public java.lang.String getSMTPServer()

  Get the smtp server address.

### sendData

    public void sendData(java.lang.String data)

  Sending the XML data through email.

### gzip

    protected javax.mail.util.ByteArrayDataSource gzip(java.lang.String data,
                                                       java.lang.String filename)
                                                throws java.io.IOException

  GZipping a string.

  Parameters:
    `data` - the content to be gzipped.
    `filename` - the name for the file.
  Returns:
    a ByteArrayDataSource.
  Throws:
    `java.io.IOException`

### getUserEmail

    protected java.lang.String getUserEmail()
                                     throws java.lang.Exception

  Getting user email.

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD